# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{newgem}
  s.version = "1.5.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Dr Nic Williams"]
  s.date = %q{2010-03-03}
  s.default_executable = %q{newgem}
  s.description = %q{Quickly bundle any Ruby libraries into a RubyGem and share it with the world, your colleagues, or perhaps just with yourself amongst your projects.

RubyGems are centrally stored, versioned, and support dependencies between other gems, so they are the ultimate way to bundle libraries, executables, associated tests, examples, and more.

Within this gem, you get one thing - <code>newgem</code> - an executable to create your own gems. Your new gems will include designated folders for Ruby code, test files, executables, and even a default website page for you to explain your project, and which instantly uploads to RubyForge website (which looks just like this one by default)}
  s.email = ["drnicwilliams@gmail.com"]
  s.executables = ["newgem"]
  s.extra_rdoc_files = ["History.txt", "Manifest.txt", "PostInstall.txt", "app_generators/newgem/templates/History.txt", "app_generators/newgem/templates/PostInstall.txt", "newgem_generators/install_website/templates/website/index.txt", "newgem_theme_generators/long_box_theme/templates/website/index.txt", "rubygems_generators/extconf/templates/README.txt", "website/index.txt", "website/rubyforge.txt", "website/version-raw.txt", "website/version.txt"]
  s.files = ["History.txt", "Manifest.txt", "PostInstall.txt", "README.rdoc", "Rakefile", "TODO.markdown", "app_generators/newgem/newgem_generator.rb", "app_generators/newgem/templates/History.txt", "app_generators/newgem/templates/PostInstall.txt", "app_generators/newgem/templates/README.rdoc", "app_generators/newgem/templates/Rakefile", "app_generators/newgem/templates/lib/module.rb", "app_generators/newgem/templates/readme", "app_generators/newgem/templates/script/console.erb", "app_generators/newgem/templates/script/win_script.cmd", "app_generators/newgem_simple/USAGE", "app_generators/newgem_simple/newgem_simple_generator.rb", "app_generators/newgem_simple/templates/LICENSE", "app_generators/newgem_simple/templates/README.rdoc", "app_generators/newgem_simple/templates/Rakefile", "app_generators/newgem_simple/templates/TODO", "app_generators/newgem_simple/templates/lib/templates.rb", "app_generators/newgem_simple/templates/spec/spec_helper.rb", "app_generators/newgem_simple/templates/spec/templates_spec.rb.erb", "bin/newgem", "config/website.yml", "cucumber_generators/feature/USAGE", "cucumber_generators/feature/feature_generator.rb", "cucumber_generators/feature/templates/feature.erb", "cucumber_generators/feature/templates/steps.erb", "features/development.feature", "features/executable_generator.feature", "features/extconf.feature", "features/install_cucumber.feature", "features/install_website.feature", "features/newgem_cli.feature", "features/rubygem_tasks.feature", "features/step_definitions/cli_steps.rb", "features/step_definitions/common_steps.rb", "features/step_definitions/rubygems_steps.rb", "features/support/cli.rb", "features/support/common.rb", "features/support/env.rb", "features/support/matchers.rb", "lib/hoe/cucumberfeatures.rb", "lib/hoe/manifest.rb", "lib/hoe/newgem.rb", "lib/hoe/website.rb", "lib/newgem.rb", "lib/newgem/quick_template.rb", "lib/newgem/rubyforge-ext.rb", "lib/newgem/tasks.rb", "newgem_generators/install_website/USAGE", "newgem_generators/install_website/install_website_generator.rb", "newgem_generators/install_website/templates/config/website.yml.sample.erb", "newgem_generators/install_website/templates/features/website.feature", "newgem_generators/install_website/templates/script/txt2html", "newgem_generators/install_website/templates/script/win_script.cmd", "newgem_generators/install_website/templates/website/index.html", "newgem_generators/install_website/templates/website/index.txt", "newgem_theme_generators/long_box_theme/USAGE", "newgem_theme_generators/long_box_theme/long_box_theme_generator.rb", "newgem_theme_generators/long_box_theme/templates/website/index.txt", "newgem_theme_generators/long_box_theme/templates/website/javascripts/rounded_corners_lite.inc.js", "newgem_theme_generators/long_box_theme/templates/website/stylesheets/screen.css", "newgem_theme_generators/long_box_theme/templates/website/template.html.erb", "newgem_theme_generators/plain_theme/USAGE", "newgem_theme_generators/plain_theme/plain_theme_generator.rb", "newgem_theme_generators/plain_theme/templates/website/javascripts/rounded_corners_lite.inc.js", "newgem_theme_generators/plain_theme/templates/website/stylesheets/screen.css", "newgem_theme_generators/plain_theme/templates/website/template.html.erb", "rubygems_generators/executable/USAGE", "rubygems_generators/executable/executable_generator.rb", "rubygems_generators/executable/templates/bin/app.rb.erb", "rubygems_generators/executable/templates/lib/app/cli.rb.erb", "rubygems_generators/executable/templates/spec/cli_spec.rb.erb", "rubygems_generators/executable/templates/test/test_cli.rb.erb", "rubygems_generators/extconf/USAGE", "rubygems_generators/extconf/extconf_generator.rb", "rubygems_generators/extconf/templates/README.txt", "rubygems_generators/extconf/templates/autotest.rb.erb", "rubygems_generators/extconf/templates/ext/c_file.c.erb", "rubygems_generators/extconf/templates/ext/extconf.rb.erb", "rubygems_generators/extconf/templates/spec/spec.rb.erb", "rubygems_generators/extconf/templates/tasks/extconf.rake", "rubygems_generators/extconf/templates/tasks/extconf_name.rake", "rubygems_generators/extconf/templates/test/test.rb.erb", "rubygems_generators/install_cucumber/USAGE", "rubygems_generators/install_cucumber/install_cucumber_generator.rb", "rubygems_generators/install_cucumber/templates/features/development.feature", "rubygems_generators/install_cucumber/templates/features/step_definitions/common_steps.rb", "rubygems_generators/install_cucumber/templates/features/support/common.rb", "rubygems_generators/install_cucumber/templates/features/support/env.rb.erb", "rubygems_generators/install_cucumber/templates/features/support/matchers.rb", "rubygems_generators/install_jruby/USAGE", "rubygems_generators/install_jruby/install_jruby_generator.rb", "rubygems_generators/install_jruby/templates/tasks/jruby.rake", "rubygems_generators/install_rspec/USAGE", "rubygems_generators/install_rspec/install_rspec_generator.rb", "rubygems_generators/install_rspec/templates/spec.rb", "rubygems_generators/install_rspec/templates/spec/spec.opts", "rubygems_generators/install_rspec/templates/spec/spec_helper.rb", "rubygems_generators/install_rspec/templates/tasks/rspec.rake", "rubygems_generators/install_shoulda/USAGE", "rubygems_generators/install_shoulda/install_shoulda_generator.rb", "rubygems_generators/install_shoulda/templates/tasks/shoulda.rake", "rubygems_generators/install_shoulda/templates/test/test.rb", "rubygems_generators/install_shoulda/templates/test/test_helper.rb", "rubygems_generators/install_test_unit/USAGE", "rubygems_generators/install_test_unit/install_test_unit_generator.rb", "rubygems_generators/install_test_unit/templates/test/test.rb", "rubygems_generators/install_test_unit/templates/test/test_helper.rb", "script/destroy", "script/generate", "script/txt2html", "test/fixtures/home/.rubyforge/auto-config.yml", "test/fixtures/home/.rubyforge/user-config.yml", "test/test_executable_generator.rb", "test/test_extconf_generator.rb", "test/test_feature_generator.rb", "test/test_generator_helper.rb", "test/test_helper.rb", "test/test_install_cucumber_generator.rb", "test/test_install_jruby_generator.rb", "test/test_install_rspec_generator.rb", "test/test_install_test_unit_generator.rb", "test/test_install_website_generator.rb", "test/test_newgem_generator.rb", "test/test_newgem_simple_generator.rb", "test/test_plain_theme_generator.rb", "test/test_rubyforge.rb", "website/images/beginning-ruby.jpg", "website/index.html", "website/index.txt", "website/javascripts/rounded_corners_lite.inc.js", "website/rubyforge.html", "website/rubyforge.txt", "website/stylesheets/screen.css", "website/template.html.erb", "website/template.js", "website/version-raw.js", "website/version-raw.txt", "website/version.js", "website/version.txt"]
  s.homepage = %q{http://newgem.rubyforge.org}
  s.post_install_message = %q{PostInstall.txt}
  s.rdoc_options = ["--main", "README.rdoc"]
  s.require_paths = ["lib"]
  s.rubyforge_project = %q{newgem}
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{Quickly bundle any Ruby libraries into a RubyGem and share it with the world, your colleagues, or perhaps just with yourself amongst your projects}
  s.test_files = ["test/test_executable_generator.rb", "test/test_extconf_generator.rb", "test/test_feature_generator.rb", "test/test_generator_helper.rb", "test/test_helper.rb", "test/test_install_cucumber_generator.rb", "test/test_install_jruby_generator.rb", "test/test_install_rspec_generator.rb", "test/test_install_test_unit_generator.rb", "test/test_install_website_generator.rb", "test/test_newgem_generator.rb", "test/test_newgem_simple_generator.rb", "test/test_plain_theme_generator.rb", "test/test_rubyforge.rb"]

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<rubigen>, [">= 1.5.3"])
      s.add_runtime_dependency(%q<hoe>, [">= 2.4.0"])
      s.add_runtime_dependency(%q<RedCloth>, [">= 4.1.1"])
      s.add_runtime_dependency(%q<syntax>, [">= 1.0.0"])
      s.add_development_dependency(%q<cucumber>, [">= 0.3.11"])
      s.add_development_dependency(%q<hoe>, [">= 2.4.0"])
    else
      s.add_dependency(%q<activesupport>, ["~> 2.3.4"])
      s.add_dependency(%q<rubigen>, [">= 1.5.3"])
      s.add_dependency(%q<hoe>, [">= 2.4.0"])
      s.add_dependency(%q<RedCloth>, [">= 4.1.1"])
      s.add_dependency(%q<syntax>, [">= 1.0.0"])
      s.add_dependency(%q<cucumber>, [">= 0.3.11"])
      s.add_dependency(%q<hoe>, [">= 2.4.0"])
    end
  else
    s.add_dependency(%q<activesupport>, ["~> 2.3.4"])
    s.add_dependency(%q<rubigen>, [">= 1.5.3"])
    s.add_dependency(%q<hoe>, [">= 2.4.0"])
    s.add_dependency(%q<RedCloth>, [">= 4.1.1"])
    s.add_dependency(%q<syntax>, [">= 1.0.0"])
    s.add_dependency(%q<cucumber>, [">= 0.3.11"])
    s.add_dependency(%q<hoe>, [">= 2.4.0"])
  end
end
